<?php
class viewkategori{
    var $id;
    
    function listkategori(){
        $kategori = mysql_query("SELECT * FROM kategori ORDER BY id_kategori");

        while ($p = mysql_fetch_array($kategori)){
            $data[$i] = array(
                        'id' => $p[id_kategori],
                        'nama' => $p[nama],
                        'keterangan' => $p[keterangan]
                     );
            
            $i++;
        }
        
        return($data);
        
    }
    
    function kategori(){
        $kategori = mysql_query("SELECT * FROM kategori WHERE id_kategori = $this->id");
        $p = mysql_fetch_array($kategori);
        
        $data = array(
                        'id' => $p[id_kategori],
                        'nama' => $p[nama],
                        'keterangan' => $p[keterangan]
                     );
        
        return($data);
        
    }
    
    function addkategori($nama,$keterangan){

        $tgl = date("d-m-Y");
        
        mysql_query("INSERT INTO kategori(  nama,
                                            keterangan,
                                            dateadd,
                                            dateedit) 
                                            VALUES(
                                            '$nama',
                                            '$keterangan',
                                            STR_TO_DATE('$tgl','%d-%m-%Y'),
                                            STR_TO_DATE('$tgl','%d-%m-%Y'))");
    }
    
    function editkategori($nama,$keterangan){

        $tgl = date("d-m-Y");
        
        mysql_query("UPDATE kategori SET nama             = '$nama',
                                         kategori         = '$kategori',
                                         dateedit         =  STR_TO_DATE('$tgl','%d-%m-%Y')
                                         WHERE 
                                         id_kategori      = $this->id");
    }
    
    function deletekategori(){
        mysql_query("DELETE FROM kategori where id_kategori = $this->id");
    }
}

class viewkategoripost{
    var $id;
    
    function listkategoripost(){
        $kategori = mysql_query("SELECT * FROM kategori_post ORDER BY id_katpost");

        while ($p = mysql_fetch_array($kategori)){
            $data[$i] = array(
                        'id' => $p[id_katpost],
                        'nama' => $p[nama],
                        'tag' => $p[tag],
                        'keterangan' => $p[keterangan]
                     );
            
            $i++;
        }
        
        return($data);
        
    }
    
    function kategoripost(){
        $kategori = mysql_query("SELECT * FROM kategori_post WHERE id_katpost = $this->id");
        $p = mysql_fetch_array($kategori);
        
        $data = array(
                        'id' => $p[id_katpost],
                        'nama' => $p[nama],
                        'tag' => $p[tag],
                        'keterangan' => $p[keterangan]
                     );
        
        return($data);
        
    }

    function kategoriposttag($tag){
        $kategori = mysql_query("SELECT * FROM kategori_post WHERE tag = '$tag'");
        $p = mysql_fetch_array($kategori);
        
        $data = array(
                        'id' => $p[id_katpost],
                        'nama' => $p[nama],
                        'tag' => $p[tag],
                        'keterangan' => $p[keterangan]
                     );
        
        return($data);
        
    }
    
    function addkategoripost($nama,$keterangan){

        $tgl = date("d-m-Y");
        $tag = str_replace(" ", "-", $nama);
        
        mysql_query("INSERT INTO kategori_post(     nama,
                                                    tag,
                                                    keterangan,
                                                    dateadd,
                                                    dateedit) 
                                                    VALUES(
                                                    '$nama',
                                                    '$tag',
                                                    '$keterangan',
                                                    STR_TO_DATE('$tgl','%d-%m-%Y'),
                                                    STR_TO_DATE('$tgl','%d-%m-%Y'))");
    }
    
    function editkategoripost($nama,$keterangan){

        $tgl = date("d-m-Y");
        $tag = str_replace(" ", "-", $nama);
        
        mysql_query("UPDATE kategori_post   SET nama            = '$nama',
                                                tag             = '$tag',
                                                keterangan      = '$keterangan',
                                                dateedit        =  STR_TO_DATE('$tgl','%d-%m-%Y')
                                                WHERE 
                                                id_kategori     = $this->id");
    }
    
    function deletekategoripost(){
        mysql_query("DELETE FROM kategori_post where id_katpost = $this->id");
    }
}